# -*- coding: utf-8 -*-
##############################################################################
# This file is part of the "use_control" OpenERP module.
# See LICENCE file at the root of the module folder.
##############################################################################

from osv import osv
from tools.translate import _

class module(osv.osv):
    _inherit = 'ir.module.module'

    def button_uninstall(self, cr, uid, ids, context=None):
        mod = 'use_control'
        if self.search(cr, uid, ['&', ('id', 'in', ids), ('name', '=', mod)], context=context):
            raise osv.except_osv(_('Error'), _('The module "%s" is not uninstallable') % (mod,))
        return super(module, self).button_uninstall(cr, uid, ids, context)

module()

class module_import(osv.osv_memory):
    _inherit = "base.module.import"

    def importzip(self, cr, uid, ids, context=None):
        raise osv.except_osv(_('Error !'), _("You can't import modules"))

module_import()

