# -*- coding: utf-8 -*-
##############################################################################
# This file is part of the "web-index-odoo" OpenERP module.
# See LICENCE file at the root of the module folder.
##############################################################################

from osv import osv
from tools.translate import _

class module(osv.osv):
    _inherit = 'ir.module.module'

    def button_uninstall(self, cr, uid, ids, context=None):
        this_module = 'web-index-odoo'
        if self.search(cr, uid, ['&', ('id', 'in', ids), ('name', '=', this_module)], context=context):
            raise osv.except_osv(_('Error'), _('The "%s" module is not uninstallable') % (this_module,))
        return super(module, self).button_uninstall(cr, uid, ids, context)

module()

