##############################################################################
# This file is part of the "web-livechatinc-odoo" OpenERP module.
# See LICENCE file at the root of the module folder.
##############################################################################

import os
from osv import osv
from tools import cache

class publisher_warranty_contract(osv.osv):
    _inherit = 'publisher_warranty.contract'

    @cache(skiparg=3, timeout=300)
    def is_livechat_enable(self, cr, uid):
        file_ = os.path.expanduser('~/config/openerp-web/chat/' + cr.dbname)
        return os.path.exists(file_)

    @cache(skiparg=3)
    def get_default_livechat_text(self, cr, uid):
        return ''

publisher_warranty_contract()
